/* LightWare orange: #F89744*/

@font-face {
	font-family: 'Inconso';
	src: url(fonts/Inconsolata-Regular.ttf) format('truetype');
}

@font-face {
	font-family: 'RobotoRegular';
	src: url(fonts/roboto/Roboto-Regular.ttf) format('truetype');
}

@font-face {
	font-family: 'RobotoMedium';
	src: url(fonts/roboto/Roboto-Medium.ttf) format('truetype');
}


@font-face {
	font-family: 'RobotoLight';
	src: url(fonts/roboto/Roboto-Light.ttf) format('truetype');
}

body {
	background-color: rgb(240, 243, 247);
	color: #333333;
	margin: 0px;
	padding: 0px;
	font-family: 'RobotoRegular';
	font-size: 12px;
}

h1 {
	/* font-family: 'RobotoRegular'; */
	/* font-size: 15px; */
	font-weight: normal;
	/* color: rgb(0, 0, 0); */
	/* line-height: 45px; */
	padding: 0px;
	margin: 0px;

	font-family: 'RobotoRegular';
	font-size: 20px;
	color: rgb(40, 40, 40);
	line-height: 30px;
}

h2 {
	/* font-family: 'RobotoRegular', 'Roboto', sans-serif;
	font-size: 14px;
	font-weight: normal;
	color: rgb(0, 0, 0); */
	/* padding: 0px 0px 20px 0px; */

	font-weight: normal;
	font-family: 'RobotoRegular';
	font-size: 14px;
	user-select: none;
	cursor: default;
}

p {
	margin: 0px;
	padding: 5px 0px;
	font-family: 'RobotoRegular';
	font-size: 14px;
	color: rgb(40, 40, 40);
}

.header {
	cursor: default;
	user-select: none;
	background-color: rgb(255, 255, 255);
	box-shadow: rgba(100, 100, 111, 0.5) 0px 0px 10px 0px;
	z-index: 100;
}

.title {
	font-family: 'RobotoLight';
	font-size: 24px;
	color: rgb(172, 172, 172);
	line-height: 30px;
}

.modal {
	position: fixed;
	z-index: 1000;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	overflow: auto;
	display: flex;
	background-color: rgba(0, 0, 0, 0.5);
}

.modal-content {
	/* background-color: #f4f4f4; */
	background-color: #FFFFFF;
	margin: auto;
	/* height: 300px; */
	width: 600px;
	/* box-shadow: 0 5px 16px 0 rgba(0, 0, 0, 0.2);
	border-radius: 2px; */
	box-shadow: rgba(0, 0, 0, 0.2) 0px 7px 29px 0px;
	border-radius: 3px;
}

.modal-header {
	/* background: rgb(240, 240, 240); */
	padding: 5px 15px;
	border-bottom: 1px solid rgb(220, 220, 220);
	/* box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.5); */
	/* background-color: #F89744; */
	border-radius: 2px 2px 0px 0px;
}

.modal-header h1 {
	font-family: 'RobotoRegular';
	font-size: 15px;
	color: rgb(40, 40, 40);
	line-height: 30px;
}

.modal-body {
	padding: 10px 20px;
}

.modal-footer {
	display: flex;
	padding: 8px 15px 15px 15px;
	/* border-top: 1px solid rgb(220, 220, 220); */
}

.button {
	background-color: #F89744;
	color: rgb(255, 255, 255);
	/* background-color:#D3D3D3;*/
	/* border: 1px solid rgb(220, 220, 220); */
	border-radius: 3px;
	display: inline-block;
	padding: 10px 24px;
	text-decoration: none;
	font-family: 'RobotoRegular';
	font-weight: normal;
	font-size: 12px;
	min-width: 80px;
	text-align: center;
	user-select: none;
	cursor: pointer;
}

.button:hover {
	background-color: #ffb26e;
	/* color:#333333; */
}

.button:active {
	background-color: #D3D3D3;
}

.info-block {
	color: #333333;
	background-color: rgb(200, 206, 216);
	border-radius: 4px;
	padding: 0px 10px;
}

.client-circle {
	cursor: default;
	margin-right: 10px;
	width: 32px;
	height: 32px;
	border-radius: 50%;
	font-size: 50px;
	color: #fff;
	font-family: 'RobotoRegular';
	font-size: 16px;
	line-height: 32px;
	text-align: center;
	/* background: rgb(204, 65, 162); */
	background: rgb(204, 65, 162);
}

.frag-header {
	background-color: rgb(200, 203, 206);
	/* padding: 10px; */
	height: 32px;
	display: flex;
	align-items: center;
}

.nav-container {
	/* background-color: #333333; */
	/* background-color: #F89744; */
	/* box-shadow: rgba(100, 100, 111, 0.5) 0px 0px 10px 0px; */
	/* z-index: 1; */
}

.nav-item {
	position: relative;
	padding: 10px 16px;

	font-family: 'RobotoRegular';
	font-size: 12px;
	color: rgb(51, 58, 61);
	/* color: rgb(255, 255, 255); */
	cursor: pointer;
}

.nav-item:hover {
	/* background-color: rgb(240, 245, 250); */
	color: #F89744;
}

.nav-item:hover .nav-item-sub {
	display: flex;
}

.nav-item-sub {
	padding: 10px;
	flex-direction: column;
	background-color: rgb(255, 255, 255);
	display: none;
	position: absolute;
	right: 0;
	z-index: 100;
	top: 100%;
	width: max-content;
	min-width: 100px;

	flex-direction: column;
	box-shadow: rgba(100, 100, 111, 0.4) 0px 7px 29px 0px;
	border-radius: 3px;
	cursor: default;
}

.nav-item-sub-item {
	position: relative;
	padding: 10px;

	font-family: 'RobotoRegular';
	font-size: 12px;
	color: rgb(51, 58, 61);
	/* color: rgb(255, 255, 255); */
	cursor: pointer;
}

.nav-item-sub-item:hover {
	/* background-color: rgb(240, 245, 250); */
	color: #F89744;
}


.utility-container {
	background-color: #333333;
	box-shadow: rgba(100, 100, 111, 0.5) 0px 0px 10px 0px;
	z-index: 1;
	overflow-y: auto;
}

.utility-item {
	user-select: none;
	cursor: pointer;
	padding: 8px;
	font-family: 'RobotoRegular';
	font-size: 12px;
	color: rgb(212, 217, 220);
}

.utility-item:hover {
	background-color: rgb(70, 70, 70);
}

.tool-container {
	background-color: rgb(240, 243, 247);
	/* box-shadow: 0px 0px 20px 2px #000000; */
}

.tool-header {
	padding: 10px;
	background-color: #F89744;
	box-shadow: rgba(100, 100, 111, 0.5) 0px 0px 10px 0px;
	z-index: 2;
}

.tool-header h1 {
	color: #FFFFFF;
	font-size: 16px;
}

.tool-panel {
	margin: 16px;
	padding: 10px;
	background-color: rgb(255, 255, 255);
	box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
	border-radius: 3px;
}

.tool-panel h1 {
	color: rgb(46, 46, 46);
	font-size: 16px;
}

.tool-panel-tight {
	padding: 10px;
	background-color: rgb(255, 255, 255);
	box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
	border-radius: 3px;
	z-index: 1;
}

.tool-panel-tight h1 {
	font-family: 'RobotoRegular';
	/* padding: 20px; */
	color: rgb(50, 53, 57);
	font-size: 16px;
}

/* .vd-editor-container {
	border: 1px solid rgb(200, 200, 200);
	margin: 20px 20px;
	box-sizing: border-box;
	padding: 0px 25px;
	overflow: auto;
	flex: 1;
	-webkit-box-shadow: 0px 0px 5px 2px rgba(0,0,0,0.26);
	-moz-box-shadow: 0px 0px 5px 2px rgba(0,0,0,0.26);
	box-shadow: 0px 0px 5px 2px rgba(0,0,0,0.26);
} */

.frag-view {
	border: 1px solid rgb(200, 200, 200);
}

.toolbar {
	background-color: rgb(230, 233, 237);
	/* padding: 10px; */
	height: 32px;
	display: flex;
	align-items: center;
}

.toolbar-button {
	height: 32px;
	width: 32px;
	line-height: 32px;
	text-align: center;
	border-radius: 4px;
}

.toolbar-button:hover {
	background-color: rgb(180, 183, 189);
}

.toolbar-button:active {
	background-color: rgb(200, 203, 209);
}

.title-button {
	height: 32px;
	width: 32px;
	line-height: 32px;
	text-align: center;
	border-radius: 4px;
}

.title-button:hover {
	background-color: rgb(230, 233, 239);
}

.prop-input-basic {
	box-sizing: border-box;
	width: 100%;
	height: 32px;
	font-family: 'RobotoRegular';
	font-size: 14px;
	transition: background-color 0.25s ease;
	padding: 2px;
	border: 1px solid rgb(200, 203, 209);
	border-radius: 4px;
	/* border-bottom: 1px solid rgb(150, 150, 150); */
	/* background-color: rgb(223, 225, 229); */
	color: rgb(40, 40, 40);
}

.prop-input-basic:focus {
	/* background-color: rgb(223, 225, 229); */
	outline-width: 0;
	border: 1px solid #F89744;
}

.frag-item {
	-webkit-user-select: none;
	-moz-user-select: none;
	padding: 5px;
	cursor: default;
	font-size: 13px;
	border-radius: 4px;
}

.frag-item:hover {
	/* padding: 5px; */
	cursor: default;
	background-color: rgb(230, 233, 239);
}

.frag-item-marked {
	-webkit-user-select: none;
	-moz-user-select: none;
	padding: 5px;
	cursor: default;
	font-size: 13px;
	background-color: #ffd4ae;
	border-radius: 4px;
}

.frag-item-marked:hover {
	/* padding: 5px; */
	cursor: default;
	background-color: rgb(230, 233, 239);
}

.frag-item-marked2 {
	-webkit-user-select: none;
	-moz-user-select: none;
	padding: 5px;
	cursor: default;
	font-size: 13px;
	background-color: #e1aeff;
	border-radius: 4px;
}

.frag-item-marked2:hover {
	/* padding: 5px; */
	cursor: default;
	background-color: rgb(230, 233, 239);
}

.tag-small {
	-webkit-user-select: none;
	-moz-user-select: none;
	font-size: 9px;
	background-color: rgb(255, 188, 183);
	border-radius: 4px;
	padding: 3px;
}

.select-basic {
	width: 100%;
	height: 30px;
	font-family: 'RobotoRegular';
	font-size: 12px;
	border: 0px;
	border-bottom: 1px solid rgb(220, 220, 220);
	background-color: rgb(233, 235, 239);
	border-radius: 0px;
}

.drop-zone {
	background-color: red;
}

.drag-el {
	background-color: blue;
	margin-bottom: 10px;
	padding: 5px;
}

.drag-over {
	border: 1px solid rgb(0, 0, 0);
}

.tool-panel table {
	border-collapse: collapse;
}

.tool-panel th {
	text-align: left;
	padding: 10px;
	background-color: #FFFFFF;
}

.tool-panel td {
	padding: 10px;
	border: 0px;
}

.tool-panel tbody {
	border: 0px;
}

.tool-panel tr:nth-child(even) {
	border: 0px;
	background-color: #f8f8f8;
}

.table-info-cell {
	padding: 10px;
}


/* .tool-panel .table-row {
	user-select: none;
	cursor: pointer;
} */

.tool-panel .table-row:hover {
	background-color: #dfdfdf;
}

.status-bar {
	display: flex;
	background-color: #3c404d;
}

.status-bar p {
	font-size: 12px;
	color: rgb(212, 212, 212);
}

.info-block p {
	color: #333333;
}

.firmware-status-production {
	display: inline-block;
	padding: 4px 10px;
	border-radius: 10px;
	background-color: rgb(139, 237, 79);
	color: #333333;
}

.status-label-success {
	display: inline-block;
	padding: 4px 10px;
	border-radius: 10px;
	background-color: rgb(139, 237, 79);
	color: #333333;
}

.status-label-fail {
	display: inline-block;
	padding: 4px 10px;
	border-radius: 10px;
	background-color: rgb(238, 121, 106);
	color: #333333;
}

.pip-grey {
	width: 10px;
	height: 10px;
	display: inline-block;
	padding: 0px;
	border-radius: 10px;
	background-color: rgb(179, 179, 179);
	color: #333333;
}

.pip-green {
	width: 10px;
	height: 10px;
	display: inline-block;
	padding: 0px;
	border-radius: 10px;
	background-color: rgb(107, 219, 63);
	color: #333333;
}

.pip-red {
	width: 10px;
	height: 10px;
	display: inline-block;
	padding: 0px;
	border-radius: 10px;
	background-color: rgb(238, 121, 106);
	color: #333333;
}

.node-inspector-container {
	margin: 20px;
	padding: 10px;

	position: absolute;

	display: flex;
	flex-direction: column;

	background-color: rgb(255, 255, 255);
	box-shadow: rgba(100, 100, 111, 0.4) 0px 7px 29px 0px;
	border-radius: 3px;

	width: max-content;
	min-width: 50px;
	min-height: 25px;
}

.ns-input-basic {
	width: 100%;
	height: 20px;
	font-family: 'RobotoRegular';
	font-size: 12px;
	/* transition: background-color 0.25s ease; */
	padding: 2px;
	border: 0px;
	background-color: rgb(233, 235, 239);
	/* border-radius: 3px; */
	border-bottom: rgb(200, 200, 200) 1px solid;
	color: rgb(40, 40, 40);
}

.test-panel {
	margin: 16px;
	/* padding: 10px; */
	background-color: rgb(255, 255, 255);
	box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
	border-radius: 3px;
}

.test-header {
	/* font-family: 'RobotoRegular', 'Roboto', sans-serif;
	font-size: 14px;
	font-weight: normal;
	color: rgb(0, 0, 0); */
	/* padding: 0px 0px 20px 0px; */

	font-weight: bold;
	font-family: 'RobotoRegular';
	font-size: 14px;

	color: rgb(240, 240, 240);
	/* background-color: rgb(230, 230, 230); */
	background-color: #3c404d;
	border-radius: 3px;
	padding: 6px;
}

.test_panel table {
	border-collapse: collapse;
}

.test_panel th {
	text-align: left;
	padding: 10px;
	background-color: #FFFFFF;
}

.test_panel td {
	padding: 10px;
	border: 0px;
}

.test_panel tbody {
	border: 0px;
}

/* .test_panel .table-row {
	user-select: none;
	cursor: pointer;
} */

.test_panel .table-row:hover {
	background-color: #dfdfdf;
}

/*
----------------------------------------------------------------------------------------------------
 Spinner.
----------------------------------------------------------------------------------------------------
*/
.lds-ellipsis {
	display: inline-block;
	position: relative;
	width: 64px;
	height: 64px;
}

.lds-ellipsis div {
	position: absolute;
	top: 27px;
	width: 11px;
	height: 11px;
	border-radius: 50%;
	background: rgb(255, 151, 68);
	animation-timing-function: cubic-bezier(0, 1, 1, 0);
}

.lds-ellipsis div:nth-child(1) {
	left: 6px;
	animation: lds-ellipsis1 0.6s infinite;
}

.lds-ellipsis div:nth-child(2) {
	left: 6px;
	animation: lds-ellipsis2 0.6s infinite;
}

.lds-ellipsis div:nth-child(3) {
	left: 26px;
	animation: lds-ellipsis2 0.6s infinite;
}

.lds-ellipsis div:nth-child(4) {
	left: 45px;
	animation: lds-ellipsis3 0.6s infinite;
}

@keyframes lds-ellipsis1 {
	0% {
		transform: scale(0);
	}

	100% {
		transform: scale(1);
	}
}

@keyframes lds-ellipsis3 {
	0% {
		transform: scale(1);
	}

	100% {
		transform: scale(0);
	}
}

@keyframes lds-ellipsis2 {
	0% {
		transform: translate(0, 0);
	}

	100% {
		transform: translate(19px, 0);
	}
}

.login {
  	width: 400px;
  	background-color: #ffffff;
  	box-shadow: 0 0 9px 0 rgba(0, 0, 0, 0.3);
  	margin: 100px auto;
}
.login h1 {
  	text-align: center;
  	color: #5b6574;
  	font-size: 24px;
  	padding: 20px 0 20px 0;
  	border-bottom: 1px solid #dee0e4;
}
.login form {
  	display: flex;
  	justify-content: center;
  	padding-top: 20px;
	flex-direction: column;
	align-items: center;
}
.login form label {
  	display: flex;
  	justify-content: center;
  	align-items: center;
  	width: 40px;
  	height: 40px;
  	/* background-color: #F89744; */
  	color: #F89744;
}
.login .entry {
	align-items: center;
	display: flex;
	flex-direction: row;
	margin-bottom: 20px;
}
.login form input[type="password"], .login form input[type="text"] {
  	width: 280px;
  	height: 40px;
  	border: 1px solid #dee0e4;
  	padding: 0 15px;
}
.login form input[type="submit"] {
	text-decoration: none;
	font-family: 'RobotoRegular';
	font-weight: normal;
	font-size: 12px;

  	width: 100%;
  	padding: 15px;
 	/* margin-top: 10px; */
  	background-color: #F89744;
  	border: 0;
  	cursor: pointer;
  	/* font-weight: bold; */
  	color: #ffffff;
  	transition: background-color 0.2s;
}
.login form input[type="submit"]:hover {
	background-color: #ffb26e;
  	transition: background-color 0.2s;
}